Botan 1.10.17

Namespaces | Functions
symkey.cpp File Reference
`#include <botan/symkey.h>`
`#include <botan/internal/xor_buf.h>`
`#include <botan/rng.h>`
`#include <botan/pipe.h>`
`#include <botan/hex.h>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
bool | Botan::operator!= (const OctetString &s1, const OctetString &s2)
OctetString | Botan::operator+ (const OctetString &k1, const OctetString &k2)
bool | Botan::operator== (const OctetString &s1, const OctetString &s2)
OctetString | Botan::operator^ (const OctetString &k1, const OctetString &k2)